Subject: Re: bug#26366: Building Guix from within a container

From: Clément Lassieur <[email-masked]>
Date: Wed, 05 Apr 2017 14:26:35 +0200

Clément Lassieur <[email-masked]> writes:

> Hi,
>
> I had a lot of trouble building Guix recently (is it related with Guile
> 2.2?).  Or it did build but then 'guix' command produced things like:
>
> ;;; WARNING: loading compiled file /home/clement/.config/guix/latest/guix/ui.go failed:
> ;;; ERROR: In procedure make_objcode_from_file: bad header on object file: "\x7fELF\x02\x01\x01�\x00\x00\x00\x00\x00\x00\x00\x00"
> ;;; note: source file /home/clement/.config/guix/latest/guix/ui.scm
> ;;;       newer than compiled /gnu/store/my64yq4r2ii0bblvsbfnjq5bnkivvn07-guix-0.12.0-5.1162/share/guile/site/2.0/guix/ui.go
> ;;; WARNING: loading compiled file /home/clement/.config/guix/latest/guix/utils.go failed:
> ;;; ERROR: In procedure make_objcode_from_file: bad header on object file: "\x7fELF\x02\x01\x01�\x00\x00\x00\x00\x00\x00\x00\x00"
> ;;; note: source file /home/clement/.config/guix/latest/guix/utils.scm
> ;;;       newer than compiled /gnu/store/my64yq4r2ii0bblvsbfnjq5bnkivvn07-guix-0.12.0-5.1162/share/guile/site/2.0/guix/utils.go
> ;;; WARNING: loading compiled file /home/clement/.config/guix/latest/guix/config.go failed:
> ;;; ERROR: In procedure make_objcode_from_file: bad header on object file: "\x7fELF\x02\x01\x01�\x00\x00\x00\x00\x00\x00\x00\x00"
> ;;; note: source file /home/clement/.config/guix/latest/guix/config.scm
> ;;;       newer than compiled /gnu/store/my64yq4r2ii0bblvsbfnjq5bnkivvn07-guix-0.12.0-5.1162/share/guile/site/2.0/guix/config.go
>
> I finally got it to work by using 'guix environment -C -N guix'.  Is it
> the right way to build Guix?  If so, here is a patch that updates the
> documentation.

I forgot to say that I can't reproduce those issues anymore.  I'm pretty
confident --container helped, but I can't say why for sure.